package com.its.api.webapp.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebConfig implements WebMvcConfigurer {

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**")
                .allowedOrigins("*")                            //허용할 Origin(요청 url) : "*" 의 경우 모두 허용
                .allowedMethods("GET", "POST", "PUT", "DELETE") //허용할 request http METHOD : POST, GET, DELETE, PUT
                .maxAge(3600)                                   //브라우저 캐시 시간(단위: 초) : "3600" 이면 최소 1시간 안에는 서버로 재요청 되지 않음
        ;
    }

}
